org.cpsolver.studentsct

## Class StudentRequestXml

- java.lang.Object
- - org.cpsolver.studentsct.StudentRequestXml

-     public class StudentRequestXml
      extends Object

  This class exports student course and free time requests in a format as defined in this Student Sectioning DTD. See this example file.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StudentRequestXml()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Document` | `exportModel(Assignment<Request,Enrollment> assignment, StudentSectioningModel model)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StudentRequestXml

          public StudentRequestXml()

  - ### Method Detail

    - #### exportModel

          public static Document exportModel(Assignment<Request,Enrollment> assignment,
                                             StudentSectioningModel model)

    - #### main

          public static void main(String[] args)